ELNode.Function (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.ELNode.Function class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ELNode.Function

    java.lang.Object
      org.apache.jasper.compiler.ELNode
          org.apache.jasper.compiler.ELNode.Function

Enclosing class:
  org.apache.jasper.compiler.ELNode

public static class ELNode.Function
extends org.apache.jasper.compiler.ELNode

Represents a function Currently only include the prefix and function name, but not its arguments.

Nested Class Summary
`static class` | `ELNode.ELText` Represents anything in EL expression, other than functions, including function arguments etc
`static class` | `ELNode.Function` Represents a function Currently only include the prefix and function name, but not its arguments.
`static class` | `ELNode.Nodes` An ordered list of ELNode.
`static class` | `ELNode.Root` Represents an EL expression: anything in ${ and }.
`static class` | `ELNode.Text` Represents text outside of EL expression.
`static class` | `ELNode.Visitor`

Method Summary
`void` | `accept(ELNode.Visitor v)`
`javax.servlet.jsp.tagext.FunctionInfo` | `getFunctionInfo()`
`java.lang.String` | `getMethodName()`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getParameters()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getUri()`
`void` | `setFunctionInfo(javax.servlet.jsp.tagext.FunctionInfo f)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setParameters(java.lang.String[] parameters)`
`void` | `setUri(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public void accept(ELNode.Visitor v)
                throws JasperException

  Throws:
    `JasperException`

### getPrefix

    public java.lang.String getPrefix()

### getName

    public java.lang.String getName()

### setUri

    public void setUri(java.lang.String uri)

### getUri

    public java.lang.String getUri()

### setFunctionInfo

    public void setFunctionInfo(javax.servlet.jsp.tagext.FunctionInfo f)

### getFunctionInfo

    public javax.servlet.jsp.tagext.FunctionInfo getFunctionInfo()

### setMethodName

    public void setMethodName(java.lang.String methodName)

### getMethodName

    public java.lang.String getMethodName()

### setParameters

    public void setParameters(java.lang.String[] parameters)

### getParameters

    public java.lang.String[] getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.